org.eclipse.rdf4j.query.algebra

## Class ProjectionElem

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode
  - - org.eclipse.rdf4j.query.algebra.ProjectionElem

- All Implemented Interfaces:
    Serializable, Cloneable, GraphPatternGroupable, QueryModelNode, VariableScopeChange

      public class ProjectionElem
      extends AbstractQueryModelNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProjectionElem()`
    `ProjectionElem(String name)`
    `ProjectionElem(String sourceName, String targetName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProjectionElem` | `clone()` Returns a (deep) clone of this query model node.
    `boolean` | `equals(Object other)` Returns `true` if this query model node and its children are recursively equal to `o` and its children.
    `String` | `getSignature()` Default implementation of `QueryModelNode.getSignature()` that prints the name of the node's class.
    `ExtensionElem` | `getSourceExpression()`
    `String` | `getSourceName()`
    `String` | `getTargetName()`
    `boolean` | `hasAggregateOperatorInExpression()`
    `int` | `hashCode()`
    `void` | `setAggregateOperatorInExpression(boolean aggregateOperatorInExpression)`
    `void` | `setSourceExpression(ExtensionElem sourceExpression)`
    `void` | `setSourceName(String sourceName)`
    `void` | `setTargetName(String targetName)`
    `<X extends Exception> void` | `visit(QueryModelVisitor<X> visitor)` Visits this node.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getTotalTimeNanosActual, isGraphPatternGroup, isVariableScopeChange, nullEquals, replaceChildNode, replaceNodeInList, replaceWith, setCostEstimate, setGraphPatternGroup, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, setVariableScopeChange, toString, visitChildren`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProjectionElem

          public ProjectionElem()

    - #### ProjectionElem

          public ProjectionElem(String name)

    - #### ProjectionElem

          public ProjectionElem(String sourceName,
                                String targetName)

  - ### Method Detail

    - #### getSourceName

          public String getSourceName()

    - #### setSourceName

          public void setSourceName(String sourceName)

    - #### getTargetName

          public String getTargetName()

    - #### setTargetName

          public void setTargetName(String targetName)

    - #### visit

          public <X extends Exception> void visit(QueryModelVisitor<X> visitor)
                                           throws X extends Exception

      Description copied from interface: `QueryModelNode`
      Visits this node. The node reports itself to the visitor with the proper runtime type.
      Throws:
        `X extends Exception`

    - #### getSignature

          public String getSignature()

      Description copied from class: `AbstractQueryModelNode`
      Default implementation of `QueryModelNode.getSignature()` that prints the name of the node's class.
      Specified by:
        `getSignature` in interface `QueryModelNode`
      Overrides:
        `getSignature` in class `AbstractQueryModelNode`
      Returns:
        The node's signature, e.g. `SLICE (offset=10, limit=10)`.

    - #### equals

          public boolean equals(Object other)

      Description copied from interface: `QueryModelNode`
      Returns `true` if this query model node and its children are recursively equal to `o` and its children.
      Specified by:
        `equals` in interface `QueryModelNode`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### clone

          public ProjectionElem clone()

      Description copied from interface: `QueryModelNode`
      Returns a (deep) clone of this query model node. This method recursively clones the entire node tree, starting from this nodes.
      Specified by:
        `clone` in interface `QueryModelNode`
      Overrides:
        `clone` in class `AbstractQueryModelNode`
      Returns:
        A deep clone of this query model node.

    - #### hasAggregateOperatorInExpression

          public boolean hasAggregateOperatorInExpression()

      Returns:
        Returns the aggregateOperatorInExpression.

    - #### setAggregateOperatorInExpression

          public void setAggregateOperatorInExpression(boolean aggregateOperatorInExpression)

      Parameters:
        `aggregateOperatorInExpression` - The aggregateOperatorInExpression to set.

    - #### getSourceExpression

          public ExtensionElem getSourceExpression()

      Returns:
        Returns the sourceExpression.

    - #### setSourceExpression

          public void setSourceExpression(ExtensionElem sourceExpression)

      Parameters:
        `sourceExpression` - The sourceExpression to set.

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.